%define qtdir %(. %{_sysconfdir}/profile.d/qt.sh 2>/dev/null; echo $QTDIR)

Name:           qtparted
Version:        0.4.5
Release:        25%{?dist}
Summary:        Partition Magic clone written in C++ using the Qt toolkit
Group:          Applications/System
License:        GPLv2
URL:            http://qtparted.sourceforge.net/
Source0:        http://download.sf.net/qtparted/%{name}-%{version}.tar.bz2
Source1:        %{name}.pam
Source2:        %{name}.consoleapp
Source3:        %{name}.qtpartedrc
Patch0:         %{name}-desktop.patch
Patch1:         qtparted-0.4.5-PED_SECTOR_SIZE.patch
# From http://patch-tracker.debian.org/patch/misc/view/qtparted/0.4.5-5/src/qp_libparted.cpp
# Filed into upstreams bugtracker at:
# http://sourceforge.net/tracker/?func=detail&aid=2857251&group_id=72497&atid=534714
Patch2:         qtparted-0.4.5-qp_libparted.patch
# http://qtparted.svn.sourceforge.net/viewvc/qtparted/trunk/qtparted/src/qp_libparted.cpp?view=patch&r1=250&r2=252&pathrev=252
# with some whitespace changes (to match our older source).
# Fixes https://bugzilla.redhat.com/show_bug.cgi?id=585263
Patch3:         qtparted-0.4.5-parted-version.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  perl
BuildRequires:  qt3-designer
BuildRequires:  qt3-devel
BuildRequires:  libjpeg-devel
BuildRequires:  parted-devel >= 1.6.6
BuildRequires:  zlib-devel
BuildRequires:  e2fsprogs
BuildRequires:  e2fsprogs-devel
BuildRequires:  jfsutils
BuildRequires:  xfsprogs
BuildRequires:  libuuid-devel
# Bugzilla 407151
%ifnarch ppc ppc64
BuildRequires:  ntfsprogs-devel
Requires:       ntfsprogs
%endif
Requires:       e2fsprogs
Requires:       jfsutils
Requires:       usermode-gtk
Requires:       xfsprogs

%description
QTParted is a Partition Magic clone written in C++ using the Qt toolkit.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
. %{_sysconfdir}/profile.d/qt.sh

%{__aclocal}
%{__automake} --add-missing --gnu
%{__perl} admin/am_edit
%{__autoconf}

%configure \
  --with-log-dir=%{_localstatedir}/log \
%ifarch ppc ppc64
  --disable-ntfs \
%endif
  --disable-reiserfs
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --vendor fedora \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applnk/System/qtparted.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk
ln -s %{_datadir}/qtparted/pics/qtparted_32.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/qtparted.png

# PAM configuration
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/qtparted
install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/qtparted
install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/qtparted

# Default configuration
install -Dpm 0644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{qtdir}/etc/settings/qtpartedrc
touch $RPM_BUILD_ROOT%{qtdir}/etc/settings/.qtpartedrc.lock
chmod 600 $RPM_BUILD_ROOT%{qtdir}/etc/settings/.qtpartedrc.lock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS doc/BUGS debian/changelog COPYING doc/README doc/TODO.txt
%config(noreplace) %{_sysconfdir}/pam.d/qtparted
%config(noreplace) %{_sysconfdir}/security/console.apps/qtparted
%config %{qtdir}/etc/settings/qtpartedrc
%ghost %{qtdir}/etc/settings/.qtpartedrc.lock
%{_bindir}/qtparted
%{_sbindir}/qtparted
%exclude %{_sbindir}/run_qtparted
%{_datadir}/applications/*qtparted.desktop
%{_datadir}/pixmaps/qtparted.png
%exclude %{_datadir}/pixmaps/qtparted.xpm
%dir %{_datadir}/qtparted
%{_datadir}/qtparted/pics
%dir %{_datadir}/qtparted/locale
%lang(ca) %{_datadir}/qtparted/locale/*_ca.qm
%lang(cs) %{_datadir}/qtparted/locale/*_cs.qm
%lang(de) %{_datadir}/qtparted/locale/*_de.qm
%lang(es) %{_datadir}/qtparted/locale/*_es.qm
%lang(fr) %{_datadir}/qtparted/locale/*_fr.qm
%lang(it) %{_datadir}/qtparted/locale/*_it.qm
%lang(pl) %{_datadir}/qtparted/locale/*_pl.qm
%lang(ru) %{_datadir}/qtparted/locale/*_ru.qm
%lang(ua) %{_datadir}/qtparted/locale/*_ua.qm
%{_mandir}/man1/qtparted.1*

%changelog
* Wed Oct 27 2010 Steven Pritchard <steve@kspei.com> 0.4.5-25
- Patch for "Cannot get parted version" bug (#585263).

* Fri Apr 02 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.4.5-24
- Rebuild for new parted (2.2)

* Tue Jan 12 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.4.5-23
- Rebuild for new parted (2.1)

* Fri Sep 12 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.4.5-22
- Fix FTBFS: added Debians qtparted-0.4.5-qp_libparted.patch

* Wed Aug 26 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.4.5-21
- Add explicit requirement on libuuid-devel to fix broken deps in rawhide

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.5-18
- Autorebuild for GCC 4.3

* Tue Jan 08 2008 Steven Pritchard <steve@kspei.com> 0.4.5-17
- Don't include NTFS support on ppc/ppc64 (#407151).
- BR e2fsprogs.
- Explicitly require ntfsprogs, just to be safe.

* Thu Jan 03 2008 Steven Pritchard <steve@kspei.com> 0.4.5-16
- Update License.
- Load /etc/profile.d/qt.sh to get PATH right.

* Thu Sep 06 2007 Steven Pritchard <steve@kspei.com> 0.4.5-15
- Fix qtparted.pam (#237075).

* Thu Mar 29 2007 Steven Pritchard <steve@kspei.com> - 0.4.5-14
- Rebuild again.

* Tue Mar 20 2007 Steven Pritchard <steve@kspei.com> - 0.4.5-13
- Rebuild.

* Tue Jan 16 2007 Steven Pritchard <steve@kspei.com> - 0.4.5-12
- Rebuild.

* Tue Nov 21 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-11
- Yet another rebuild.

* Fri Oct 27 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-10
- Enable ntfs support.
- Make desktop-file-install happy with our categories again.

* Mon Aug 28 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-9
- Rebuild.

* Fri Jun 02 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-8
- Oops, really add the patch this time.

* Fri Jun 02 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-7
- Rebuild with qtparted-0.4.5-PED_SECTOR_SIZE.patch (from Paul Howarth).

* Sat May 20 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-6
- Rebuild.

* Fri Apr 14 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-5
- Rebuild.

* Mon Feb 13 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-4
- Rebuild.

* Mon Nov 14 2005 Steven Pritchard <steve@kspei.com> - 0.4.5-3
- Remove BR XFree86-devel.

* Mon Oct 24 2005 Steven Pritchard <steve@kspei.com> - 0.4.5-2
- Rebuild.

* Sat Aug 13 2005 Steven Pritchard <steve@kspei.com> - 0.4.5-1
- Update to 0.4.5.
- Work around unsermake dependency in distributed configure script.

* Thu May 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.4.4-3
- Rebuild.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.4.4-2
- rebuilt

* Fri May 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4.4-0.fdr.1
- Update to 0.4.4.
- Specfile cleanup.

* Sun Jul 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.5
- Export $QTDIR before running %%configure.

* Thu Jul 10 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.4
- Add sanity and use mktemp in qtparted_df (bug 388).
- Own stuff under $QTDIR/etc/settings, install default config (bug 388).

* Tue Jul  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.3
- Move qtparted_df to %%{_libexecdir} and make it executable (#388).
- Require e2fsprogs and jfsutils (#388).

* Tue Jul  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.2
- Use PAM/consolehelper instead of kdesu.
- Mark %%lang files as such.
- .desktop entry tweaks.

* Fri Jun 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.1
- Update to 0.3.2.

* Fri May 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.1-0.fdr.2
- BuildRequire e2fsprogs-devel and add -luuid to LIBS (#316).

* Fri May 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.1-0.fdr.1
- Update to 0.3.1.
- Drop patch, already applied upstream.
- Install man page (#316).

* Sun May 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.0-0.fdr.2
- Requires kdebase (kdesu).
- Install French locale.

* Sat May 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.0-0.fdr.1
- First build.
